scala.collection.mutable
class LinkedHashSet

[source: `scala/collection/mutable/LinkedHashSet.scala`]

@deprecated
`` `class` LinkedHashSet[A](`private` set0 : java.util.LinkedHashSet)
  `extends` Set[A]

  This class...

Author
  Sean McDirmid
Version
  1.0

Additional Constructor Summary
`def` | this : LinkedHashSet[A]

Method Summary
`def` | ++= (set : LinkedHashSet[A]) : Boolean
`def` | += (elem : A) : Unit Add a new element to the set.
`def` | --= (set : LinkedHashSet[A]) : Boolean
`def` | -= (elem : A) : Unit Removes a single element from a set.
`override def` | clear : Unit Removes all elements from the set. After this operation is completed, the set will be empty.
`override def` | clone : Set[A] Return a clone of this set.
`def` | contains (elem : A) : Boolean Checks if this set contains element `elem`.
`def` | elements : Iterator[A] Creates a new iterator over all elements contained in this object.
`def` | size : Int Returns the number of elements in this set.
`override def` | toString : java.lang.String

Methods inherited from Set
update, +=, ++=, ++=, +, +, ++, ++, incl, -=, --=, --=, -, -, --, --, excl, intersect, retain, <<, readOnly

Methods inherited from Set
apply, isEmpty, subsetOf, *, **, equals, hashCode, toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, partition, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, projection, hasDefiniteSize

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Additional Constructor Details

`` `def` this : LinkedHashSet[A]

Method Details

`` `def` contains(elem : A) : Boolean

  Checks if this set contains element `elem`.

Parameters
  `elem -` the element to check for membership.
Returns
  `true` iff `elem` is contained in this set.

`` `def` +=(elem : A) : Unit

  Add a new element to the set.

Parameters
  `elem -` the element to be added

Overrides
  Set.+=

`` `def` ++=(set : LinkedHashSet[A]) : Boolean

`` `def` --=(set : LinkedHashSet[A]) : Boolean

`` `def` -=(elem : A) : Unit

  Removes a single element from a set.

Parameters
  `elem -` The element to be removed.

Overrides
  Set.-=

`` `def` elements : Iterator[A]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

`override` `def` clear : Unit

  Removes all elements from the set. After this operation is completed, the set will be empty.

Overrides
  Set.clear

`` `def` size : Int

  Returns the number of elements in this set.

Returns
  number of set elements.

`override` `def` toString : java.lang.String

`override` `def` clone : Set[A]

  Return a clone of this set.

Returns
  a set with the same elements.

Overrides
  Set.clone